# beta_mondenge_api

BetaMondengeApi - JavaScript client for beta_mondenge_api
 Restful API Docs for the BetMondenge Congo DRC Android and Web Peer to Peer Waging Platform.  Permission is Hereby Granted to Use this API for Commercial and Non Profit Uses Subject to the Creative Commons License Requiring you the end user to mention, credit and attribute this product and service with TralahTek LLC .  COPYRIGHT: 2020 (All Rights Reserved).  
This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: v1
- Package version: v1
- Build package: io.swagger.codegen.languages.JavascriptClientCodegen

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/),
please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install beta_mondenge_api --save
```

##### Local development

To use the library locally without publishing to a remote npm registry, first install the dependencies by changing 
into the directory containing `package.json` (and this README). Let's call this `JAVASCRIPT_CLIENT_DIR`. Then run:

```shell
npm install
```

Next, [link](https://docs.npmjs.com/cli/link) it globally in npm with the following, also from `JAVASCRIPT_CLIENT_DIR`:

```shell
npm link
```

Finally, switch to the directory you want to use your beta_mondenge_api from, and run:

```shell
npm link /path/to/<JAVASCRIPT_CLIENT_DIR>
```

You should now be able to `require('beta_mondenge_api')` in javascript files from the directory you ran the last 
command above from.

#### git
#
If the library is hosted at a git repository, e.g.
https://github.com/GIT_USER_ID/GIT_REPO_ID
then install it via:

```shell
    npm install GIT_USER_ID/GIT_REPO_ID --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file, that's to say your javascript file where you actually 
use this library):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

### Webpack Configuration

Using Webpack you may encounter the following error: "Module not found: Error:
Cannot resolve module", most certainly you should disable AMD loader. Add/merge
the following section to your webpack config:

```javascript
module: {
  rules: [
    {
      parser: {
        amd: false
      }
    }
  ]
}
```

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var BetaMondengeApi = require('beta_mondenge_api');

var defaultClient = BetaMondengeApi.ApiClient.instance;

// Configure API key authorization: api_key
var api_key = defaultClient.authentications['api_key'];
api_key.apiKey = "YOUR API KEY"
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//api_key.apiKeyPrefix['Authorization'] = "Token"

var api = new BetaMondengeApi.ApiApi()

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.apiAccountsList(callback);

```

## Documentation for API Endpoints

All URIs are relative to *https://betmeback.herokuapp.com/en*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*BetaMondengeApi.ApiApi* | [**apiAccountsList**](docs/ApiApi.md#apiAccountsList) | **GET** /api/accounts/ | 
*BetaMondengeApi.ApiApi* | [**apiAccountsRead**](docs/ApiApi.md#apiAccountsRead) | **GET** /api/accounts/{id}/ | 
*BetaMondengeApi.ApiApi* | [**apiAllusersList**](docs/ApiApi.md#apiAllusersList) | **GET** /api/allusers/ | 
*BetaMondengeApi.ApiApi* | [**apiBetslipsAcceptWager**](docs/ApiApi.md#apiBetslipsAcceptWager) | **POST** /api/betslips/{id}/accept_wager/ | 
*BetaMondengeApi.ApiApi* | [**apiBetslipsCreate**](docs/ApiApi.md#apiBetslipsCreate) | **POST** /api/betslips/ | 
*BetaMondengeApi.ApiApi* | [**apiBetslipsList**](docs/ApiApi.md#apiBetslipsList) | **GET** /api/betslips/ | 
*BetaMondengeApi.ApiApi* | [**apiBetslipsRead**](docs/ApiApi.md#apiBetslipsRead) | **GET** /api/betslips/{id}/ | 
*BetaMondengeApi.ApiApi* | [**apiBetslipsReceivedInvites**](docs/ApiApi.md#apiBetslipsReceivedInvites) | **GET** /api/betslips/received_invites/ | 
*BetaMondengeApi.ApiApi* | [**apiBetslipsRejectWager**](docs/ApiApi.md#apiBetslipsRejectWager) | **POST** /api/betslips/{id}/reject_wager/ | 
*BetaMondengeApi.ApiApi* | [**apiBetslipsSentInvites**](docs/ApiApi.md#apiBetslipsSentInvites) | **GET** /api/betslips/sent_invites/ | 
*BetaMondengeApi.ApiApi* | [**apiDevicesCreate**](docs/ApiApi.md#apiDevicesCreate) | **POST** /api/devices/ | 
*BetaMondengeApi.ApiApi* | [**apiDoB2cCreate**](docs/ApiApi.md#apiDoB2cCreate) | **POST** /api/do_b2c/ | Initiate Customer Payout for DRC's *Vodacash* Mpesa System Post  the amount to withdrawal
*BetaMondengeApi.ApiApi* | [**apiDoC2bCreate**](docs/ApiApi.md#apiDoC2bCreate) | **POST** /api/do_c2b/ | Initiate Customer Deposit for DRC's Vodacash Mpesa System.
*BetaMondengeApi.ApiApi* | [**apiGamesGetThisMidweeks**](docs/ApiApi.md#apiGamesGetThisMidweeks) | **GET** /api/games/get_this_midweeks/ | 
*BetaMondengeApi.ApiApi* | [**apiGamesGetThisMidweeksUpcoming**](docs/ApiApi.md#apiGamesGetThisMidweeksUpcoming) | **GET** /api/games/get_this_midweeks_upcoming/ | 
*BetaMondengeApi.ApiApi* | [**apiGamesGetThisMonths**](docs/ApiApi.md#apiGamesGetThisMonths) | **GET** /api/games/get_this_months/ | 
*BetaMondengeApi.ApiApi* | [**apiGamesGetThisMonthsUpcoming**](docs/ApiApi.md#apiGamesGetThisMonthsUpcoming) | **GET** /api/games/get_this_months_upcoming/ | 
*BetaMondengeApi.ApiApi* | [**apiGamesGetThisWeekends**](docs/ApiApi.md#apiGamesGetThisWeekends) | **GET** /api/games/get_this_weekends/ | 
*BetaMondengeApi.ApiApi* | [**apiGamesGetThisWeekendsUpcoming**](docs/ApiApi.md#apiGamesGetThisWeekendsUpcoming) | **GET** /api/games/get_this_weekends_upcoming/ | 
*BetaMondengeApi.ApiApi* | [**apiGamesList**](docs/ApiApi.md#apiGamesList) | **GET** /api/games/ | 
*BetaMondengeApi.ApiApi* | [**apiGamesRead**](docs/ApiApi.md#apiGamesRead) | **GET** /api/games/{game_id}/ | 
*BetaMondengeApi.ApiApi* | [**apiGamesTodays**](docs/ApiApi.md#apiGamesTodays) | **GET** /api/games/todays/ | 
*BetaMondengeApi.ApiApi* | [**apiInviteCreate**](docs/ApiApi.md#apiInviteCreate) | **POST** /api/invite/ | 
*BetaMondengeApi.ApiApi* | [**apiLeaguesAllGames**](docs/ApiApi.md#apiLeaguesAllGames) | **GET** /api/leagues/{league_id}/all_games/ | 
*BetaMondengeApi.ApiApi* | [**apiLeaguesList**](docs/ApiApi.md#apiLeaguesList) | **GET** /api/leagues/ | 
*BetaMondengeApi.ApiApi* | [**apiLeaguesRead**](docs/ApiApi.md#apiLeaguesRead) | **GET** /api/leagues/{league_id}/ | 
*BetaMondengeApi.ApiApi* | [**apiLeaguesThisMonthsGames**](docs/ApiApi.md#apiLeaguesThisMonthsGames) | **GET** /api/leagues/{league_id}/this_months_games/ | 
*BetaMondengeApi.ApiApi* | [**apiLeaguesThisMonthsUpcomingGames**](docs/ApiApi.md#apiLeaguesThisMonthsUpcomingGames) | **GET** /api/leagues/{league_id}/this_months_upcoming_games/ | 
*BetaMondengeApi.ApiApi* | [**apiLeaguesThisWeeksGames**](docs/ApiApi.md#apiLeaguesThisWeeksGames) | **GET** /api/leagues/{league_id}/this_weeks_games/ | 
*BetaMondengeApi.ApiApi* | [**apiLeaguesThisWeeksUpcomingGames**](docs/ApiApi.md#apiLeaguesThisWeeksUpcomingGames) | **GET** /api/leagues/{league_id}/this_weeks_upcoming_games/ | 
*BetaMondengeApi.ApiApi* | [**apiLeaguesUpcomingGames**](docs/ApiApi.md#apiLeaguesUpcomingGames) | **GET** /api/leagues/{league_id}/upcoming_games/ | 
*BetaMondengeApi.ApiApi* | [**apiMpesaDoB2cCreate**](docs/ApiApi.md#apiMpesaDoB2cCreate) | **POST** /api/mpesa_do_b2c/ | Initiate Mpesa Customer Withdrawal for Kenya's *MPESA* System
*BetaMondengeApi.ApiApi* | [**apiMpesaDoC2bCreate**](docs/ApiApi.md#apiMpesaDoC2bCreate) | **POST** /api/mpesa_do_c2b/ | Initiate Mpesa Customer Deposit for Kenya's *MPESA* System
*BetaMondengeApi.ApiApi* | [**apiResultsList**](docs/ApiApi.md#apiResultsList) | **GET** /api/results/ | 
*BetaMondengeApi.ApiApi* | [**apiResultsRead**](docs/ApiApi.md#apiResultsRead) | **GET** /api/results/{game_id}/ | 
*BetaMondengeApi.ApiApi* | [**apiResultsThisMonth**](docs/ApiApi.md#apiResultsThisMonth) | **GET** /api/results/this_month/ | 
*BetaMondengeApi.ApiApi* | [**apiResultsThisWeek**](docs/ApiApi.md#apiResultsThisWeek) | **GET** /api/results/this_week/ | 
*BetaMondengeApi.ApiApi* | [**apiResultsToday**](docs/ApiApi.md#apiResultsToday) | **GET** /api/results/today/ | 
*BetaMondengeApi.ApiApi* | [**apiTeamsList**](docs/ApiApi.md#apiTeamsList) | **GET** /api/teams/ | 
*BetaMondengeApi.ApiApi* | [**apiTeamsRead**](docs/ApiApi.md#apiTeamsRead) | **GET** /api/teams/{team_id}/ | 
*BetaMondengeApi.ApiApi* | [**apiTransactionsList**](docs/ApiApi.md#apiTransactionsList) | **GET** /api/transactions/ | 
*BetaMondengeApi.ApiApi* | [**apiTransactionsRead**](docs/ApiApi.md#apiTransactionsRead) | **GET** /api/transactions/{id}/ | 
*BetaMondengeApi.ApiApi* | [**apiUsersCreate**](docs/ApiApi.md#apiUsersCreate) | **POST** /api/users/ | 
*BetaMondengeApi.ApiApi* | [**apiUsersList**](docs/ApiApi.md#apiUsersList) | **GET** /api/users/ | 
*BetaMondengeApi.ApiApi* | [**apiUsersRead**](docs/ApiApi.md#apiUsersRead) | **GET** /api/users/{phonenumber}/ | 
*BetaMondengeApi.ApiApi* | [**apiUsersResetPassword**](docs/ApiApi.md#apiUsersResetPassword) | **POST** /api/users/reset_password/ | 
*BetaMondengeApi.ApiApi* | [**apiUsersSetPassword**](docs/ApiApi.md#apiUsersSetPassword) | **POST** /api/users/{phonenumber}/set_password/ | 
*BetaMondengeApi.ApiApi* | [**apiUsersWebcurrent**](docs/ApiApi.md#apiUsersWebcurrent) | **GET** /api/users/webcurrent/ | 
*BetaMondengeApi.ApiTokenAuthApi* | [**apiTokenAuthCreate**](docs/ApiTokenAuthApi.md#apiTokenAuthCreate) | **POST** /api-token-auth | 


## Documentation for Models

 - [BetaMondengeApi.Account](docs/Account.md)
 - [BetaMondengeApi.AllUser](docs/AllUser.md)
 - [BetaMondengeApi.BetslipModel](docs/BetslipModel.md)
 - [BetaMondengeApi.FCMDevice](docs/FCMDevice.md)
 - [BetaMondengeApi.GameModel](docs/GameModel.md)
 - [BetaMondengeApi.GameResult](docs/GameResult.md)
 - [BetaMondengeApi.LeagueModel](docs/LeagueModel.md)
 - [BetaMondengeApi.TeamModel](docs/TeamModel.md)
 - [BetaMondengeApi.Transaction](docs/Transaction.md)
 - [BetaMondengeApi.User](docs/User.md)


## Documentation for Authorization


### api_key

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header

