/*
 * BetaMondenge API
 *  Restful API Docs for the BetMondenge Congo DRC Android and Web Peer to Peer Waging Platform.  Permission is Hereby Granted to Use this API for Commercial and Non Profit Uses Subject to the Creative Commons License Requiring you the end user to mention, credit and attribute this product and service with TralahTek LLC .  COPYRIGHT: 2020 (All Rights Reserved).  
 *
 * OpenAPI spec version: v1
 * Contact: admin@tralahtek.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.16
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Account', 'model/AllUser', 'model/BetslipModel', 'model/FCMDevice', 'model/GameModel', 'model/GameResult', 'model/LeagueModel', 'model/TeamModel', 'model/Transaction', 'model/User'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/Account'), require('../model/AllUser'), require('../model/BetslipModel'), require('../model/FCMDevice'), require('../model/GameModel'), require('../model/GameResult'), require('../model/LeagueModel'), require('../model/TeamModel'), require('../model/Transaction'), require('../model/User'));
  } else {
    // Browser globals (root is window)
    if (!root.BetaMondengeApi) {
      root.BetaMondengeApi = {};
    }
    root.BetaMondengeApi.ApiApi = factory(root.BetaMondengeApi.ApiClient, root.BetaMondengeApi.Account, root.BetaMondengeApi.AllUser, root.BetaMondengeApi.BetslipModel, root.BetaMondengeApi.FCMDevice, root.BetaMondengeApi.GameModel, root.BetaMondengeApi.GameResult, root.BetaMondengeApi.LeagueModel, root.BetaMondengeApi.TeamModel, root.BetaMondengeApi.Transaction, root.BetaMondengeApi.User);
  }
}(this, function(ApiClient, Account, AllUser, BetslipModel, FCMDevice, GameModel, GameResult, LeagueModel, TeamModel, Transaction, User) {
  'use strict';

  /**
   * Api service.
   * @module api/ApiApi
   * @version v1
   */

  /**
   * Constructs a new ApiApi. 
   * @alias module:api/ApiApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the apiAccountsList operation.
     * @callback module:api/ApiApi~apiAccountsListCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/Account>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {module:api/ApiApi~apiAccountsListCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/Account>}
     */
    this.apiAccountsList = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [Account];

      return this.apiClient.callApi(
        '/api/accounts/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiAccountsRead operation.
     * @callback module:api/ApiApi~apiAccountsReadCallback
     * @param {String} error Error message, if any.
     * @param {module:model/Account} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {String} id 
     * @param {module:api/ApiApi~apiAccountsReadCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/Account}
     */
    this.apiAccountsRead = function(id, callback) {
      var postBody = null;

      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling apiAccountsRead");
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = Account;

      return this.apiClient.callApi(
        '/api/accounts/{id}/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiAllusersList operation.
     * @callback module:api/ApiApi~apiAllusersListCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/AllUser>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {Object} opts Optional parameters
     * @param {String} opts.search A search term.
     * @param {module:api/ApiApi~apiAllusersListCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/AllUser>}
     */
    this.apiAllusersList = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'search': opts['search'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [AllUser];

      return this.apiClient.callApi(
        '/api/allusers/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiBetslipsAcceptWager operation.
     * @callback module:api/ApiApi~apiBetslipsAcceptWagerCallback
     * @param {String} error Error message, if any.
     * @param {module:model/BetslipModel} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {String} id 
     * @param {module:model/BetslipModel} data 
     * @param {module:api/ApiApi~apiBetslipsAcceptWagerCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/BetslipModel}
     */
    this.apiBetslipsAcceptWager = function(id, data, callback) {
      var postBody = data;

      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling apiBetslipsAcceptWager");
      }

      // verify the required parameter 'data' is set
      if (data === undefined || data === null) {
        throw new Error("Missing the required parameter 'data' when calling apiBetslipsAcceptWager");
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = BetslipModel;

      return this.apiClient.callApi(
        '/api/betslips/{id}/accept_wager/', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiBetslipsCreate operation.
     * @callback module:api/ApiApi~apiBetslipsCreateCallback
     * @param {String} error Error message, if any.
     * @param {module:model/BetslipModel} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {module:model/BetslipModel} data 
     * @param {module:api/ApiApi~apiBetslipsCreateCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/BetslipModel}
     */
    this.apiBetslipsCreate = function(data, callback) {
      var postBody = data;

      // verify the required parameter 'data' is set
      if (data === undefined || data === null) {
        throw new Error("Missing the required parameter 'data' when calling apiBetslipsCreate");
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = BetslipModel;

      return this.apiClient.callApi(
        '/api/betslips/', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiBetslipsList operation.
     * @callback module:api/ApiApi~apiBetslipsListCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/BetslipModel>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {Object} opts Optional parameters
     * @param {String} opts.search A search term.
     * @param {module:api/ApiApi~apiBetslipsListCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/BetslipModel>}
     */
    this.apiBetslipsList = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'search': opts['search'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [BetslipModel];

      return this.apiClient.callApi(
        '/api/betslips/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiBetslipsRead operation.
     * @callback module:api/ApiApi~apiBetslipsReadCallback
     * @param {String} error Error message, if any.
     * @param {module:model/BetslipModel} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {String} id 
     * @param {module:api/ApiApi~apiBetslipsReadCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/BetslipModel}
     */
    this.apiBetslipsRead = function(id, callback) {
      var postBody = null;

      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling apiBetslipsRead");
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = BetslipModel;

      return this.apiClient.callApi(
        '/api/betslips/{id}/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiBetslipsReceivedInvites operation.
     * @callback module:api/ApiApi~apiBetslipsReceivedInvitesCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/BetslipModel>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {Object} opts Optional parameters
     * @param {String} opts.search A search term.
     * @param {module:api/ApiApi~apiBetslipsReceivedInvitesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/BetslipModel>}
     */
    this.apiBetslipsReceivedInvites = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'search': opts['search'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [BetslipModel];

      return this.apiClient.callApi(
        '/api/betslips/received_invites/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiBetslipsRejectWager operation.
     * @callback module:api/ApiApi~apiBetslipsRejectWagerCallback
     * @param {String} error Error message, if any.
     * @param {module:model/BetslipModel} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {String} id 
     * @param {module:model/BetslipModel} data 
     * @param {module:api/ApiApi~apiBetslipsRejectWagerCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/BetslipModel}
     */
    this.apiBetslipsRejectWager = function(id, data, callback) {
      var postBody = data;

      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling apiBetslipsRejectWager");
      }

      // verify the required parameter 'data' is set
      if (data === undefined || data === null) {
        throw new Error("Missing the required parameter 'data' when calling apiBetslipsRejectWager");
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = BetslipModel;

      return this.apiClient.callApi(
        '/api/betslips/{id}/reject_wager/', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiBetslipsSentInvites operation.
     * @callback module:api/ApiApi~apiBetslipsSentInvitesCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/BetslipModel>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {Object} opts Optional parameters
     * @param {String} opts.search A search term.
     * @param {module:api/ApiApi~apiBetslipsSentInvitesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/BetslipModel>}
     */
    this.apiBetslipsSentInvites = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'search': opts['search'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [BetslipModel];

      return this.apiClient.callApi(
        '/api/betslips/sent_invites/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiDevicesCreate operation.
     * @callback module:api/ApiApi~apiDevicesCreateCallback
     * @param {String} error Error message, if any.
     * @param {module:model/FCMDevice} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {module:model/FCMDevice} data 
     * @param {module:api/ApiApi~apiDevicesCreateCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/FCMDevice}
     */
    this.apiDevicesCreate = function(data, callback) {
      var postBody = data;

      // verify the required parameter 'data' is set
      if (data === undefined || data === null) {
        throw new Error("Missing the required parameter 'data' when calling apiDevicesCreate");
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = FCMDevice;

      return this.apiClient.callApi(
        '/api/devices/', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiDoB2cCreate operation.
     * @callback module:api/ApiApi~apiDoB2cCreateCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Initiate Customer Payout for DRC's *Vodacash* Mpesa System Post  the amount to withdrawal
     * Post {         'amount':'4500',     }      to initiate b2c withdrawal.
     * @param {module:api/ApiApi~apiDoB2cCreateCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.apiDoB2cCreate = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/api/do_b2c/', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiDoC2bCreate operation.
     * @callback module:api/ApiApi~apiDoC2bCreateCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Initiate Customer Deposit for DRC's Vodacash Mpesa System.
     * {             'amount':'4500',     }  to initiate *USSD* push deposit.
     * @param {module:api/ApiApi~apiDoC2bCreateCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.apiDoC2bCreate = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/api/do_c2b/', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiGamesGetThisMidweeks operation.
     * @callback module:api/ApiApi~apiGamesGetThisMidweeksCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/GameModel>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get midweek Fixtures played and upcoming
     * @param {Object} opts Optional parameters
     * @param {String} opts.search A search term.
     * @param {module:api/ApiApi~apiGamesGetThisMidweeksCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/GameModel>}
     */
    this.apiGamesGetThisMidweeks = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'search': opts['search'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [GameModel];

      return this.apiClient.callApi(
        '/api/games/get_this_midweeks/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiGamesGetThisMidweeksUpcoming operation.
     * @callback module:api/ApiApi~apiGamesGetThisMidweeksUpcomingCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/GameModel>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get midweek upcoming Fixtures
     * @param {Object} opts Optional parameters
     * @param {String} opts.search A search term.
     * @param {module:api/ApiApi~apiGamesGetThisMidweeksUpcomingCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/GameModel>}
     */
    this.apiGamesGetThisMidweeksUpcoming = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'search': opts['search'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [GameModel];

      return this.apiClient.callApi(
        '/api/games/get_this_midweeks_upcoming/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiGamesGetThisMonths operation.
     * @callback module:api/ApiApi~apiGamesGetThisMonthsCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/GameModel>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get months Fixtures played and upcoming
     * @param {Object} opts Optional parameters
     * @param {String} opts.search A search term.
     * @param {module:api/ApiApi~apiGamesGetThisMonthsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/GameModel>}
     */
    this.apiGamesGetThisMonths = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'search': opts['search'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [GameModel];

      return this.apiClient.callApi(
        '/api/games/get_this_months/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiGamesGetThisMonthsUpcoming operation.
     * @callback module:api/ApiApi~apiGamesGetThisMonthsUpcomingCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/GameModel>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get months upcoming Fixtures
     * @param {Object} opts Optional parameters
     * @param {String} opts.search A search term.
     * @param {module:api/ApiApi~apiGamesGetThisMonthsUpcomingCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/GameModel>}
     */
    this.apiGamesGetThisMonthsUpcoming = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'search': opts['search'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [GameModel];

      return this.apiClient.callApi(
        '/api/games/get_this_months_upcoming/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiGamesGetThisWeekends operation.
     * @callback module:api/ApiApi~apiGamesGetThisWeekendsCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/GameModel>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get weekends Fixtures played and upcoming
     * @param {Object} opts Optional parameters
     * @param {String} opts.search A search term.
     * @param {module:api/ApiApi~apiGamesGetThisWeekendsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/GameModel>}
     */
    this.apiGamesGetThisWeekends = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'search': opts['search'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [GameModel];

      return this.apiClient.callApi(
        '/api/games/get_this_weekends/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiGamesGetThisWeekendsUpcoming operation.
     * @callback module:api/ApiApi~apiGamesGetThisWeekendsUpcomingCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/GameModel>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get weekend upcoming Fixtures
     * @param {Object} opts Optional parameters
     * @param {String} opts.search A search term.
     * @param {module:api/ApiApi~apiGamesGetThisWeekendsUpcomingCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/GameModel>}
     */
    this.apiGamesGetThisWeekendsUpcoming = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'search': opts['search'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [GameModel];

      return this.apiClient.callApi(
        '/api/games/get_this_weekends_upcoming/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiGamesList operation.
     * @callback module:api/ApiApi~apiGamesListCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/GameModel>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {Object} opts Optional parameters
     * @param {String} opts.search A search term.
     * @param {module:api/ApiApi~apiGamesListCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/GameModel>}
     */
    this.apiGamesList = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'search': opts['search'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [GameModel];

      return this.apiClient.callApi(
        '/api/games/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiGamesRead operation.
     * @callback module:api/ApiApi~apiGamesReadCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GameModel} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {String} gameId A unique value identifying this game.
     * @param {module:api/ApiApi~apiGamesReadCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GameModel}
     */
    this.apiGamesRead = function(gameId, callback) {
      var postBody = null;

      // verify the required parameter 'gameId' is set
      if (gameId === undefined || gameId === null) {
        throw new Error("Missing the required parameter 'gameId' when calling apiGamesRead");
      }


      var pathParams = {
        'game_id': gameId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = GameModel;

      return this.apiClient.callApi(
        '/api/games/{game_id}/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiGamesTodays operation.
     * @callback module:api/ApiApi~apiGamesTodaysCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/GameModel>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get todays Fixtures played and upcoming
     * @param {Object} opts Optional parameters
     * @param {String} opts.search A search term.
     * @param {module:api/ApiApi~apiGamesTodaysCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/GameModel>}
     */
    this.apiGamesTodays = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'search': opts['search'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [GameModel];

      return this.apiClient.callApi(
        '/api/games/todays/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiInviteCreate operation.
     * @callback module:api/ApiApi~apiInviteCreateCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * End-Point To Send an SMS Invitation to a User Not on the Platform. Send a Payload with the phonenumber of the person to invite. Supports Both *Kenyan* , *South Africa* and *DRC*  Phonenumbers.
     * @param {module:api/ApiApi~apiInviteCreateCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.apiInviteCreate = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/api/invite/', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiLeaguesAllGames operation.
     * @callback module:api/ApiApi~apiLeaguesAllGamesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/LeagueModel} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {String} leagueId A unique value identifying this league.
     * @param {module:api/ApiApi~apiLeaguesAllGamesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/LeagueModel}
     */
    this.apiLeaguesAllGames = function(leagueId, callback) {
      var postBody = null;

      // verify the required parameter 'leagueId' is set
      if (leagueId === undefined || leagueId === null) {
        throw new Error("Missing the required parameter 'leagueId' when calling apiLeaguesAllGames");
      }


      var pathParams = {
        'league_id': leagueId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = LeagueModel;

      return this.apiClient.callApi(
        '/api/leagues/{league_id}/all_games/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiLeaguesList operation.
     * @callback module:api/ApiApi~apiLeaguesListCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/LeagueModel>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {module:api/ApiApi~apiLeaguesListCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/LeagueModel>}
     */
    this.apiLeaguesList = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [LeagueModel];

      return this.apiClient.callApi(
        '/api/leagues/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiLeaguesRead operation.
     * @callback module:api/ApiApi~apiLeaguesReadCallback
     * @param {String} error Error message, if any.
     * @param {module:model/LeagueModel} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {String} leagueId A unique value identifying this league.
     * @param {module:api/ApiApi~apiLeaguesReadCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/LeagueModel}
     */
    this.apiLeaguesRead = function(leagueId, callback) {
      var postBody = null;

      // verify the required parameter 'leagueId' is set
      if (leagueId === undefined || leagueId === null) {
        throw new Error("Missing the required parameter 'leagueId' when calling apiLeaguesRead");
      }


      var pathParams = {
        'league_id': leagueId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = LeagueModel;

      return this.apiClient.callApi(
        '/api/leagues/{league_id}/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiLeaguesThisMonthsGames operation.
     * @callback module:api/ApiApi~apiLeaguesThisMonthsGamesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/LeagueModel} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {String} leagueId A unique value identifying this league.
     * @param {module:api/ApiApi~apiLeaguesThisMonthsGamesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/LeagueModel}
     */
    this.apiLeaguesThisMonthsGames = function(leagueId, callback) {
      var postBody = null;

      // verify the required parameter 'leagueId' is set
      if (leagueId === undefined || leagueId === null) {
        throw new Error("Missing the required parameter 'leagueId' when calling apiLeaguesThisMonthsGames");
      }


      var pathParams = {
        'league_id': leagueId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = LeagueModel;

      return this.apiClient.callApi(
        '/api/leagues/{league_id}/this_months_games/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiLeaguesThisMonthsUpcomingGames operation.
     * @callback module:api/ApiApi~apiLeaguesThisMonthsUpcomingGamesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/LeagueModel} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {String} leagueId A unique value identifying this league.
     * @param {module:api/ApiApi~apiLeaguesThisMonthsUpcomingGamesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/LeagueModel}
     */
    this.apiLeaguesThisMonthsUpcomingGames = function(leagueId, callback) {
      var postBody = null;

      // verify the required parameter 'leagueId' is set
      if (leagueId === undefined || leagueId === null) {
        throw new Error("Missing the required parameter 'leagueId' when calling apiLeaguesThisMonthsUpcomingGames");
      }


      var pathParams = {
        'league_id': leagueId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = LeagueModel;

      return this.apiClient.callApi(
        '/api/leagues/{league_id}/this_months_upcoming_games/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiLeaguesThisWeeksGames operation.
     * @callback module:api/ApiApi~apiLeaguesThisWeeksGamesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/LeagueModel} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {String} leagueId A unique value identifying this league.
     * @param {module:api/ApiApi~apiLeaguesThisWeeksGamesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/LeagueModel}
     */
    this.apiLeaguesThisWeeksGames = function(leagueId, callback) {
      var postBody = null;

      // verify the required parameter 'leagueId' is set
      if (leagueId === undefined || leagueId === null) {
        throw new Error("Missing the required parameter 'leagueId' when calling apiLeaguesThisWeeksGames");
      }


      var pathParams = {
        'league_id': leagueId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = LeagueModel;

      return this.apiClient.callApi(
        '/api/leagues/{league_id}/this_weeks_games/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiLeaguesThisWeeksUpcomingGames operation.
     * @callback module:api/ApiApi~apiLeaguesThisWeeksUpcomingGamesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/LeagueModel} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {String} leagueId A unique value identifying this league.
     * @param {module:api/ApiApi~apiLeaguesThisWeeksUpcomingGamesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/LeagueModel}
     */
    this.apiLeaguesThisWeeksUpcomingGames = function(leagueId, callback) {
      var postBody = null;

      // verify the required parameter 'leagueId' is set
      if (leagueId === undefined || leagueId === null) {
        throw new Error("Missing the required parameter 'leagueId' when calling apiLeaguesThisWeeksUpcomingGames");
      }


      var pathParams = {
        'league_id': leagueId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = LeagueModel;

      return this.apiClient.callApi(
        '/api/leagues/{league_id}/this_weeks_upcoming_games/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiLeaguesUpcomingGames operation.
     * @callback module:api/ApiApi~apiLeaguesUpcomingGamesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/LeagueModel} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {String} leagueId A unique value identifying this league.
     * @param {module:api/ApiApi~apiLeaguesUpcomingGamesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/LeagueModel}
     */
    this.apiLeaguesUpcomingGames = function(leagueId, callback) {
      var postBody = null;

      // verify the required parameter 'leagueId' is set
      if (leagueId === undefined || leagueId === null) {
        throw new Error("Missing the required parameter 'leagueId' when calling apiLeaguesUpcomingGames");
      }


      var pathParams = {
        'league_id': leagueId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = LeagueModel;

      return this.apiClient.callApi(
        '/api/leagues/{league_id}/upcoming_games/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiMpesaDoB2cCreate operation.
     * @callback module:api/ApiApi~apiMpesaDoB2cCreateCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Initiate Mpesa Customer Withdrawal for Kenya's *MPESA* System
     * Post {             'amount':'4500',     }  to initiate b2c withdrawal.
     * @param {module:api/ApiApi~apiMpesaDoB2cCreateCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.apiMpesaDoB2cCreate = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/api/mpesa_do_b2c/', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiMpesaDoC2bCreate operation.
     * @callback module:api/ApiApi~apiMpesaDoC2bCreateCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Initiate Mpesa Customer Deposit for Kenya's *MPESA* System
     * Post {         'amount':'4500',     }  to initiate b2c withdrawal.
     * @param {module:api/ApiApi~apiMpesaDoC2bCreateCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.apiMpesaDoC2bCreate = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/api/mpesa_do_c2b/', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiResultsList operation.
     * @callback module:api/ApiApi~apiResultsListCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/GameResult>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {Object} opts Optional parameters
     * @param {String} opts.leagueId 
     * @param {String} opts.gameDate 
     * @param {String} opts.gameTime 
     * @param {module:api/ApiApi~apiResultsListCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/GameResult>}
     */
    this.apiResultsList = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'league_id': opts['leagueId'],
        'game_date': opts['gameDate'],
        'game_time': opts['gameTime'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [GameResult];

      return this.apiClient.callApi(
        '/api/results/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiResultsRead operation.
     * @callback module:api/ApiApi~apiResultsReadCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GameResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {String} gameId 
     * @param {module:api/ApiApi~apiResultsReadCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GameResult}
     */
    this.apiResultsRead = function(gameId, callback) {
      var postBody = null;

      // verify the required parameter 'gameId' is set
      if (gameId === undefined || gameId === null) {
        throw new Error("Missing the required parameter 'gameId' when calling apiResultsRead");
      }


      var pathParams = {
        'game_id': gameId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = GameResult;

      return this.apiClient.callApi(
        '/api/results/{game_id}/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiResultsThisMonth operation.
     * @callback module:api/ApiApi~apiResultsThisMonthCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/GameResult>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {Object} opts Optional parameters
     * @param {String} opts.leagueId 
     * @param {String} opts.gameDate 
     * @param {String} opts.gameTime 
     * @param {module:api/ApiApi~apiResultsThisMonthCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/GameResult>}
     */
    this.apiResultsThisMonth = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'league_id': opts['leagueId'],
        'game_date': opts['gameDate'],
        'game_time': opts['gameTime'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [GameResult];

      return this.apiClient.callApi(
        '/api/results/this_month/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiResultsThisWeek operation.
     * @callback module:api/ApiApi~apiResultsThisWeekCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/GameResult>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {Object} opts Optional parameters
     * @param {String} opts.leagueId 
     * @param {String} opts.gameDate 
     * @param {String} opts.gameTime 
     * @param {module:api/ApiApi~apiResultsThisWeekCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/GameResult>}
     */
    this.apiResultsThisWeek = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'league_id': opts['leagueId'],
        'game_date': opts['gameDate'],
        'game_time': opts['gameTime'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [GameResult];

      return this.apiClient.callApi(
        '/api/results/this_week/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiResultsToday operation.
     * @callback module:api/ApiApi~apiResultsTodayCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/GameResult>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {Object} opts Optional parameters
     * @param {String} opts.leagueId 
     * @param {String} opts.gameDate 
     * @param {String} opts.gameTime 
     * @param {module:api/ApiApi~apiResultsTodayCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/GameResult>}
     */
    this.apiResultsToday = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'league_id': opts['leagueId'],
        'game_date': opts['gameDate'],
        'game_time': opts['gameTime'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [GameResult];

      return this.apiClient.callApi(
        '/api/results/today/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiTeamsList operation.
     * @callback module:api/ApiApi~apiTeamsListCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/TeamModel>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {Object} opts Optional parameters
     * @param {String} opts.search A search term.
     * @param {module:api/ApiApi~apiTeamsListCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/TeamModel>}
     */
    this.apiTeamsList = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'search': opts['search'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [TeamModel];

      return this.apiClient.callApi(
        '/api/teams/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiTeamsRead operation.
     * @callback module:api/ApiApi~apiTeamsReadCallback
     * @param {String} error Error message, if any.
     * @param {module:model/TeamModel} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {String} teamId 
     * @param {module:api/ApiApi~apiTeamsReadCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/TeamModel}
     */
    this.apiTeamsRead = function(teamId, callback) {
      var postBody = null;

      // verify the required parameter 'teamId' is set
      if (teamId === undefined || teamId === null) {
        throw new Error("Missing the required parameter 'teamId' when calling apiTeamsRead");
      }


      var pathParams = {
        'team_id': teamId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = TeamModel;

      return this.apiClient.callApi(
        '/api/teams/{team_id}/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiTransactionsList operation.
     * @callback module:api/ApiApi~apiTransactionsListCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/Transaction>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {module:api/ApiApi~apiTransactionsListCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/Transaction>}
     */
    this.apiTransactionsList = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [Transaction];

      return this.apiClient.callApi(
        '/api/transactions/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiTransactionsRead operation.
     * @callback module:api/ApiApi~apiTransactionsReadCallback
     * @param {String} error Error message, if any.
     * @param {module:model/Transaction} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {String} id 
     * @param {module:api/ApiApi~apiTransactionsReadCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/Transaction}
     */
    this.apiTransactionsRead = function(id, callback) {
      var postBody = null;

      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling apiTransactionsRead");
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = Transaction;

      return this.apiClient.callApi(
        '/api/transactions/{id}/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiUsersCreate operation.
     * @callback module:api/ApiApi~apiUsersCreateCallback
     * @param {String} error Error message, if any.
     * @param {module:model/User} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {module:model/User} data 
     * @param {module:api/ApiApi~apiUsersCreateCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/User}
     */
    this.apiUsersCreate = function(data, callback) {
      var postBody = data;

      // verify the required parameter 'data' is set
      if (data === undefined || data === null) {
        throw new Error("Missing the required parameter 'data' when calling apiUsersCreate");
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = User;

      return this.apiClient.callApi(
        '/api/users/', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiUsersList operation.
     * @callback module:api/ApiApi~apiUsersListCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/User>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {module:api/ApiApi~apiUsersListCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/User>}
     */
    this.apiUsersList = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [User];

      return this.apiClient.callApi(
        '/api/users/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiUsersRead operation.
     * @callback module:api/ApiApi~apiUsersReadCallback
     * @param {String} error Error message, if any.
     * @param {module:model/User} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {String} phonenumber 
     * @param {module:api/ApiApi~apiUsersReadCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/User}
     */
    this.apiUsersRead = function(phonenumber, callback) {
      var postBody = null;

      // verify the required parameter 'phonenumber' is set
      if (phonenumber === undefined || phonenumber === null) {
        throw new Error("Missing the required parameter 'phonenumber' when calling apiUsersRead");
      }


      var pathParams = {
        'phonenumber': phonenumber
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = User;

      return this.apiClient.callApi(
        '/api/users/{phonenumber}/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiUsersResetPassword operation.
     * @callback module:api/ApiApi~apiUsersResetPasswordCallback
     * @param {String} error Error message, if any.
     * @param {module:model/User} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {module:model/User} data 
     * @param {module:api/ApiApi~apiUsersResetPasswordCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/User}
     */
    this.apiUsersResetPassword = function(data, callback) {
      var postBody = data;

      // verify the required parameter 'data' is set
      if (data === undefined || data === null) {
        throw new Error("Missing the required parameter 'data' when calling apiUsersResetPassword");
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = User;

      return this.apiClient.callApi(
        '/api/users/reset_password/', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiUsersSetPassword operation.
     * @callback module:api/ApiApi~apiUsersSetPasswordCallback
     * @param {String} error Error message, if any.
     * @param {module:model/User} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {String} phonenumber 
     * @param {module:model/User} data 
     * @param {module:api/ApiApi~apiUsersSetPasswordCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/User}
     */
    this.apiUsersSetPassword = function(phonenumber, data, callback) {
      var postBody = data;

      // verify the required parameter 'phonenumber' is set
      if (phonenumber === undefined || phonenumber === null) {
        throw new Error("Missing the required parameter 'phonenumber' when calling apiUsersSetPassword");
      }

      // verify the required parameter 'data' is set
      if (data === undefined || data === null) {
        throw new Error("Missing the required parameter 'data' when calling apiUsersSetPassword");
      }


      var pathParams = {
        'phonenumber': phonenumber
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = User;

      return this.apiClient.callApi(
        '/api/users/{phonenumber}/set_password/', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the apiUsersWebcurrent operation.
     * @callback module:api/ApiApi~apiUsersWebcurrentCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/User>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * 
     * @param {module:api/ApiApi~apiUsersWebcurrentCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/User>}
     */
    this.apiUsersWebcurrent = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['api_key'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [User];

      return this.apiClient.callApi(
        '/api/users/webcurrent/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
