/*
 * BetaMondenge API
 *  Restful API Docs for the BetMondenge Congo DRC Android and Web Peer to Peer Waging Platform.  Permission is Hereby Granted to Use this API for Commercial and Non Profit Uses Subject to the Creative Commons License Requiring you the end user to mention, credit and attribute this product and service with TralahTek LLC .  COPYRIGHT: 2020 (All Rights Reserved).  
 *
 * OpenAPI spec version: v1
 * Contact: admin@tralahtek.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.16
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.BetaMondengeApi) {
      root.BetaMondengeApi = {};
    }
    root.BetaMondengeApi.FCMDevice = factory(root.BetaMondengeApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The FCMDevice model module.
   * @module model/FCMDevice
   * @version v1
   */

  /**
   * Constructs a new <code>FCMDevice</code>.
   * @alias module:model/FCMDevice
   * @class
   * @param registrationId {String} 
   * @param type {module:model/FCMDevice.TypeEnum} 
   */
  var exports = function(registrationId, type) {
    this.registrationId = registrationId;
    this.type = type;
  };

  /**
   * Constructs a <code>FCMDevice</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/FCMDevice} obj Optional instance to populate.
   * @return {module:model/FCMDevice} The populated <code>FCMDevice</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('id'))
        obj.id = ApiClient.convertToType(data['id'], 'Number');
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('registration_id'))
        obj.registrationId = ApiClient.convertToType(data['registration_id'], 'String');
      if (data.hasOwnProperty('device_id'))
        obj.deviceId = ApiClient.convertToType(data['device_id'], 'String');
      if (data.hasOwnProperty('active'))
        obj.active = ApiClient.convertToType(data['active'], 'Boolean');
      if (data.hasOwnProperty('date_created'))
        obj.dateCreated = ApiClient.convertToType(data['date_created'], 'Date');
      if (data.hasOwnProperty('type'))
        obj.type = ApiClient.convertToType(data['type'], 'String');
    }
    return obj;
  }

  /**
   * @member {Number} id
   */
  exports.prototype.id = undefined;

  /**
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * @member {String} registrationId
   */
  exports.prototype.registrationId = undefined;

  /**
   * Unique device identifier
   * @member {String} deviceId
   */
  exports.prototype.deviceId = undefined;

  /**
   * Inactive devices will not be sent notifications
   * @member {Boolean} active
   * @default true
   */
  exports.prototype.active = true;

  /**
   * @member {Date} dateCreated
   */
  exports.prototype.dateCreated = undefined;

  /**
   * @member {module:model/FCMDevice.TypeEnum} type
   */
  exports.prototype.type = undefined;


  /**
   * Allowed values for the <code>type</code> property.
   * @enum {String}
   * @readonly
   */
  exports.TypeEnum = {
    /**
     * value: "ios"
     * @const
     */
    ios: "ios",

    /**
     * value: "android"
     * @const
     */
    android: "android",

    /**
     * value: "web"
     * @const
     */
    web: "web"
  };

  return exports;

}));
